<?php
include("connect.php");
include("login_cookies.php");

while($admin = mysql_fetch_array($db_admin)) {

if ($_COOKIE["pass"] == $admin["kode"]) {

 if ($admin["admin"] == "1") {

	if ($admin["exist"] == "1") {

if ($_GET[ret] == "true" && isset($_GET[id])) {

$rettende = mysql_query("SELECT * FROM `pytox_artikler` WHERE `id` LIKE '{$_GET[id]}' LIMIT 1");

while($ret = mysql_fetch_array($rettende)) {

?>
<form action="?site=Adminartikler&retter=true&submit=true&id=<?php print $_GET[id];?>" method="post">
Overskrift: <input type="text" name="header" value="<?php print $ret[overskrift]; ?>" />
<br />
Brødtekst: <i>(Kort om artiklen, "Appetit vækker")</i>
<br />
<textarea name="brodtekst" cols="30" rows="7"><?php print $ret[brodtekst]; ?></textarea>
<br />
Artiklen:
<br />
<textarea name="artiklen" cols="70" rows="18"><?php print $ret[artikel]; ?></textarea>
<br />
Forfatter: <input type="text" name="author" value="<?php print $ret[forfatter];?>" /> <i>MÅ IKKE RETTES!</i>
<br />
<br />
<input type="submit" name="submit" value="Ret!" class="submit" />
</form>
<?php
}

} else if ($_GET[retter] == "true" && $_GET[submit] == "true" && isset($_GET[id])) {

if ($_POST[header] == "" || $_POST[artiklen] == "" || $_POST[brodtekst] == "" || $_POST[author] == "") {
header("Location: index.php?message=failure&errorid=27173");
} else {

$erstattes = array("Ø", "ø", "Å", "å", "Æ", "æ");

$replace["header"] = str_replace("Ø", "&Oslash;", $_POST["header"]);
$replace["header"] = str_replace("ø", "&oslash;", $replace["header"]);
$replace["header"] = str_replace("Å", "&Aring;", $replace["header"]);
$replace["header"] = str_replace("å", "&aring;", $replace["header"]);
$replace["header"] = str_replace("Æ", "&Aelig;", $replace["header"]);
$replace["header"] = str_replace("æ", "&aelig;", $replace["header"]);

$replace["artiklen"] = str_replace("Ø", "&Oslash;", $_POST["artiklen"]);
$replace["artiklen"] = str_replace("ø", "&oslash;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("Å", "&Aring;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("å", "&aring;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("Æ", "&Aelig;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("æ", "&aelig;", $replace["artiklen"]);

$replace["brodtekst"] = str_replace("Ø", "&Oslash;", $_POST["brodtekst"]);
$replace["brodtekst"] = str_replace("ø", "&oslash;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("Å", "&Aring;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("å", "&aring;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("Æ", "&Aelig;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("æ", "&aelig;", $replace["brodtekst"]);


mysql_query("UPDATE `pytox_artikler` SET `show` = '1', `udgivet` = '1', `overskrift` = '$replace[header]', `artikel` = '$replace[artiklen]', `brodtekst` = '$replace[brodtekst]', `forfatter` = '$_POST[author]' WHERE `id` LIKE '{$_GET[id]}' LIMIT 1");

print "Artiklen er nu rettet!";

setcookie("test", $_POST[artiklen], time()+10000);


}

} else if ($_GET[choose] == "delete" && isset($_GET[delid])) {

mysql_query("UPDATE `pytox_artikler` SET `show` = '0' WHERE `id` LIKE '{$_GET[delid]}' LIMIT 1");

header("Location: index.php?site=Adminartikler&del=true&id=$_GET[delid]");

} else if ($_GET[del] == "true" && isset($_GET[id])) {

$tjek = mysql_query("SELECT * FROM `pytox_artikler` WHERE `id` LIKE '{$_GET[id]}' LIMIT 1");

while($look = mysql_fetch_array($tjek)) { 

if ($look[show] == "0") {
header("Location: index.php?site=Admin&message=corretdelart");
} else if ($look[show] != "0") {
header("Location: index.php?site=Admin&message=failure&errorid=51546");
}

}


} else {

while($artikel = mysql_fetch_array($all_artikler)) {

if ($artikel[show] == "1" && $artikel[udgivet] == "1") {

if ($i == 0) {
$i = 1;
$bgcolor = "#CCC";
} else if ($i == 1) {
$i = 2;
$bgcolor = "#FFF";
} else {
$i = 1;
$bgcolor = "#CCC";
}

?>
<div style="display:inline;background-color:<?=$bgcolor?>;"><strong><?php print $artikel[overskrift]; ?> - <i><?php print $artikel[forfatter];?></i></strong> - <a href="?site=Adminartikler&amp;choose=delete&amp;delid=<?php print $artikel[id];?>">Slet</a> - <a href="?site=Adminartikler&ret=true&id=<?php print $artikel[id];?>">Ret</a></div>
<br />
<?php
}
}

}

	} else {
	header("Location: index.php?message=failure&errorid=60065");
	}

}

}
}
?>
<br />